using Connected.Annotations;
using Connected.Utilities;
using Microsoft.AspNetCore.Components;

namespace Connected.Components;

public partial class CardHeader : UIComponent
{
   protected string Classname =>
   new CssBuilder("card-header")
     .AddClass(AdditionalClassList)
   .Build();

   /// <summary>
   /// If used renders child content of the CardHeaderAvatar.
   /// </summary>
   [Parameter]
   [Category(CategoryTypes.Card.Behavior)]
   public RenderFragment CardHeaderAvatar { get; set; }

   /// <summary>
   /// If used renders child content of the CardHeaderContent.
   /// </summary>
   [Parameter]
   [Category(CategoryTypes.Card.Behavior)]
   public RenderFragment CardHeaderContent { get; set; }

   /// <summary>
   /// If used renders child content of the CardHeaderActions.
   /// </summary>
   [Parameter]
   [Category(CategoryTypes.Card.Behavior)]
   public RenderFragment CardHeaderActions { get; set; }

   /// <summary>
   /// Optional child content
   /// </summary>
   [Parameter]
   [Category(CategoryTypes.Card.Behavior)]
   public RenderFragment ChildContent { get; set; }
}
